package com.qmth.sop.business.bean.result;

import com.qmth.sop.common.enums.DingStatusEnum;
import com.qmth.sop.common.enums.InOutTypeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 签到/签退信息
 * @Author: CaoZixuan
 * @Date: 2023-08-29
 */
public class DingInfoResult {
    @ApiModelProperty("签到状态")
    private DingStatusEnum status;

    @ApiModelProperty("签到/签退")
    private InOutTypeEnum inOutType;

    @ApiModelProperty("打卡时间")
    private Long signTime;

    @ApiModelProperty("打卡地点")
    private String signAddress;

    @ApiModelProperty("x坐标")
    private String axisX;

    @ApiModelProperty("y坐标")
    private String axisY;

    public DingStatusEnum getStatus() {
        return status;
    }

    public void setStatus(DingStatusEnum status) {
        this.status = status;
    }

    public InOutTypeEnum getInOutType() {
        return inOutType;
    }

    public void setInOutType(InOutTypeEnum inOutType) {
        this.inOutType = inOutType;
    }

    public Long getSignTime() {
        return signTime;
    }

    public void setSignTime(Long signTime) {
        this.signTime = signTime;
    }

    public String getSignAddress() {
        return signAddress;
    }

    public void setSignAddress(String signAddress) {
        this.signAddress = signAddress;
    }

    public String getAxisX() {
        return axisX;
    }

    public void setAxisX(String axisX) {
        this.axisX = axisX;
    }

    public String getAxisY() {
        return axisY;
    }

    public void setAxisY(String axisY) {
        this.axisY = axisY;
    }
}
